/*
 * @Author: PoJun
 * @Date: 2022-05-30 09:15:23
 * @LastEditors: PoJun
 * @LastEditTime: 2023-05-31 10:49:20
 * @Message: Do not edit
 */
/** 这里将 http 请求进行二次封装
 *  我们希望调用的时候能有一个统一的参数传递格式
 *  1. params = { name: "123", age: "19" } --- 希望得到 url?name=123&age=19
 *  2. data = { object: "obj" } --- 希望通过 post 请求
 *  3. path_add = "abc" --- 希望得到 url/abc
 *  4. path_add = [ "aaa", "bbb", "ccc" ] --- 希望得到 url/aaa/bbb/ccc 或者是 url = fff/{0}/ggg => url = fff/aaa/ggg/bbb/ccc
 */
import qs from "qs";

// 解决方式  3, 4
export const mergeURL = (url, pathAdd) => {
    if (pathAdd) {
        if (/{[0-9]+}/g.test(url)) {
            const replaceArr = url.match(/{[0-9]+}/g);
            const p = pathAdd.splice(0, replaceArr.length);
            p.forEach((item, index) => {
                url = url.replace(`{${index}}`, item);
            });
        }
        if (pathAdd.length) {
            // 如果还剩有pathAdd
            let endBias = /.*\/$/.test(url); // 结尾是否有斜线
            if (Array.isArray(pathAdd)) {
                // 判断 path_add 是否为数组形式
                let str = pathAdd.join("/");
                url = url + (endBias ? "" : "/") + str;
            } else {
                url = url + (endBias ? "" : "/") + pathAdd;
            }
        }
        console.log(url);
    }
    return url;
};

// 解决方式 1
export const encodeURL = (url, params) => {
    if (params) {
        // 如果存在 params
        // let keys = Object.keys(params); // 将 params 的 key 值取出，放入 keys
        // if (keys.length > 0) {
        //     // 如果 keys 不为空
        //     let arr = keys.map(item => {
        //         // map()返回一个由原数组中每一个元素调用指定方法后返回的值组成的数组
        //         return item + "=" + params[item];
        //     });
        //     let str = arr.join("&"); // join(param) 将数组用指定的 param 间隔形成字符串
        //     url = url + "?" + str;
        //     // console.log('encodeURL:' + url)
        // }
        let str = qs.stringify(params);
        url = url + "?" + str;
    }
    // console.log('encodeURL:' + url)
    return url;
};
