/*
 * @Author: PoJun
 * @Date: 2022-02-25 09:15:23
 * @LastEditors: PoJun
 * @LastEditTime: 2023-05-31 11:01:55
 * @Message: Do not edit
 */
import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import { formatEnum, formatDate } from "./utils/utils";
import {
    Avatar,
    Badge,
    Breadcrumb,
    Button,
    Checkbox,
    Col,
    Row,
    FormModel,
    Icon,
    Input,
    Layout,
    Menu,
    Pagination,
    Tag,
    Space,
    Spin,
    Tabs,
    Drawer,
    PageHeader,
    Empty,
    Divider,
    ConfigProvider,
    Popover,
    Popconfirm,
    Steps,
    Modal,
    Select,
    DatePicker,
    Alert,
    message,
    Result,
    Descriptions,
    TimePicker,
    Upload,
    Skeleton,
    Dropdown,
    InputNumber,
    Tooltip,
    Radio,
} from "ant-design-vue"; // 组件列表https://github.com/vueComponent/ant-design-vue/blob/master/components/index.js
import vuexStore from "@/store/store.mixin.js";
// import "ant-design-vue/dist/antd.css";
import "xe-utils";
import {
    VXETable,
    Column,
    Edit,
    Validator,
    Icon as vxIcon,
    Checkbox as vxCheckbox,
    CheckboxGroup as vxCheckboxGroup,
    // 表格
    Table,
    Input as vxInput,
    Toolbar,
    Tooltip as vxTooltip,
    Footer,
} from "vxe-table";
import VXETablePluginAntd from "vxe-table-plugin-antd";
import "vxe-table-plugin-antd/dist/style.css";
// 加入loading
import loading from "./components/loading/loading";

//引用
Vue.use(loading);
// vxe-table表格按序引入
// vxe-table 全局设置
VXETable.setup({
    icon: {
        TABLE_TREE_OPEN: "r-table-icon r-table-icon-minus",
        TABLE_TREE_CLOSE: "r-table-icon r-table-icon-plus",
    },
    table: {
        emptyText: "没有更多数据了！",
    },
});
VXETable.formats.mixin({
    // 格式化
    // 枚举
    formatEnum({ cellValue }) {
        return formatEnum(cellValue);
    },
    // 日期格式化
    formatDate({ cellValue }) {
        let fmt = formatDate(cellValue, "yyyy-mm-dd hh:MM:ss", false);
        return fmt || "-";
    },
});
Vue.use(Column)
    .use(vxIcon)
    .use(Validator)
    .use(Edit)
    .use(vxInput)
    .use(vxCheckbox)
    .use(vxCheckboxGroup)
    .use(Footer)
    .use(Table)
    .use(Toolbar)
    .use(vxTooltip);
Vue.prototype.$time = 600000;
// ant按序引入
Vue
    // ant按需引入
    .use(Button)
    .use(Icon)
    .use(Input)
    .use(Breadcrumb)
    .use(Layout)
    .use(Menu)
    .use(Avatar)
    .use(Badge)
    .use(Tag)
    .use(Pagination)
    .use(FormModel)
    .use(Col)
    .use(Row)
    .use(Checkbox)
    .use(Spin)
    .use(Space)
    .use(Tabs)
    .use(Drawer)
    .use(PageHeader)
    .use(Empty)
    .use(Divider)
    .use(ConfigProvider)
    .use(Popover)
    .use(Steps)
    .use(Modal)
    .use(Select)
    .use(DatePicker)
    .use(TimePicker)
    .use(Alert)
    .use(Result)
    .use(Skeleton)
    .use(Descriptions)
    .use(Upload)
    .use(Popconfirm)
    .use(Dropdown)
    .use(InputNumber)
    .use(Tooltip)
    .use(Radio);
VXETable.use(VXETablePluginAntd);
import Viewer from "v-viewer";
import "viewerjs/dist/viewer.css";
Vue.use(Viewer);
Viewer.setDefaults();

Vue.prototype.$message = message;
Vue.prototype.$confirm = Modal.confirm;
Vue.prototype.$error = Modal.error;
Vue.mixin(vuexStore);
new Vue({
    router,
    store,
    render: h => h(App),
}).$mount("#app");
