/*
 * @Author: PoJun
 * @Date: 2022-05-30 09:15:23
 * @LastEditors: PoJun
 * @LastEditTime: 2023-06-08 18:19:00
 * @Message: Do not edit
 */
import Vue from "vue";
import Vuex from "vuex";

// 引入vuex持久化方法createPersistedState
import createPersistedState from "vuex-persistedstate";

Vue.use(Vuex);
export default new Vuex.Store({
    state: {
        vIsLogin: false,
        vAuthInfo: {},
        vBreadcrumb: [], // 用来做当前路由
        vApiController: [],
        vAccount: "", //账号
        vAccountId: "", //某个id
        vSatoken: "1",
    },
    mutations: {
        $updateStore(state, payload) {
            // 判断是否多层级调用，state中为对象存在的情况，诸如user.info.score = 1
            let nameArr = payload.name.split(".");
            let len = nameArr.length;
            if (nameArr.length >= 2) {
                let obj = state[nameArr[0]];
                for (let i = 1; i < len - 1; i++) {
                    obj = obj[nameArr[i]];
                }
                obj[nameArr[len - 1]] = payload.value;
            } else {
                // 单层级变量，在state就是一个普通变量的情况
                state[payload.name] = payload.value;
            }
        },
        // 设置当前面包屑
        $updatevBreadcrumb(state, data) {
            state.vBreadcrumb = data;
        },
        $updatevIsLogin(state, data) {
            state.vIsLogin = data;
        },
        $updatevAuthInfo(state, data) {
            state.vAuthInfo = data;
        },
        addVApiController(state, controller) {
            state.vApiController.push(controller);
        },
    },
    actions: {},
    modules: {},
    plugins: [
        // veux持久化配置
        createPersistedState(),
    ],
});
