/*
 * @Author: PoJun
 * @Date: 2022-05-30 09:15:23
 * @LastEditors: PoJun
 * @LastEditTime: 2023-05-31 10:49:34
 * @Message: Do not edit
 */
import { mapState } from "vuex";
import store from "@/store";

// 尝试将用户在根目录中的store/index.js的vuex的state变量，全部加载到全局变量中
let $dStoreKey = [];
try {
    $dStoreKey = store.state ? Object.keys(store.state) : [];
} catch (e) {
    console.log(e);
}

export default {
    created() {
        // 将vuex方法挂在到$d中
        // 使用方法为：如果要修改vuex的state中的user.name变量为"史诗" => this.$d.vuex('user.name', '史诗')
        // 如果要修改vuex的state的version变量为1.0.1 => this.$d.vuex('version', '1.0.1')
        this.$vuex = (name, value) => {
            this.$store.commit("$updateStore", {
                name,
                value,
            });
        };
    },
    computed: {
        // 将vuex的state中的所有变量，解构到全局混入的mixin中
        ...mapState($dStoreKey),
    },
};
